## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/PierreLvx/qpress

Name:           qpress
Version:        20220819
Release:        %autorelease
Summary:        A portable file archiver using QuickLZ

License:        GPL-1.0-only and GPL-2.0-only and GPL-3.0-only
URL:            https://www.quicklz.com
Source0:        %{forgeurl}/archive/%{version}/%{name}-%{version}.tar.gz
# Rework makefile to ease packaging
Patch1:         https://github.com/PierreLvx/qpress/pull/8.patch
# Add license texts
Patch2:         https://github.com/PierreLvx/qpress/pull/9.patch

BuildRequires:  gcc-c++
BuildRequires:  make

Provides:       bundled(quicklz) = 1.4.1

%description
qpress is a portable file archiver using QuickLZ and designed to utilize fast
storage systems to their max. It's often faster than file copy because the
destination is smaller than the source.

%prep
%autosetup -p1

%build
%set_build_flags
# https://gcc.gnu.org/bugzilla/show_bug.cgi?id=85783
export CXXFLAGS="$CXXFLAGS -Wno-alloc-size-larger-than"
%make_build

%install
%make_install PREFIX="%{_prefix}"

%files
%license LICENSE.GPL-1.0 LICENSE.GPL-2.0 LICENSE.GPL-3.0
%doc readme.md
%{_bindir}/%{name}

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 20220819-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20220819-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jan 29 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20220819-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20220819-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20220819-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20220819-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20220819-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 25 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 20220819-1
- Switch to new upstream and update to 20220819 (Fixes: RHBZ#2147535,
  RHBZ#2147537)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 11-1
- Initial import; Fixes: RHBZ#1985573
## END: Generated by rpmautospec
